using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register
            (
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Little firecracker -firecracker",
                    DescriptionOverride = "Like nitroglycerine flask but less powerfull",
                    CategoryOverride = ModAPI.FindCategory("Explosives"),
                    ThumbnailOverride = ModAPI.LoadSprite("littleFirecrackerView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        // random sprite assignement
                        string[] sprites = {"littleFirecracker0.png", "littleFirecracker1.png", "littleFirecracker2.png"};
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(sprites[Random.Range(0, 3)]);

                        Instance.FixColliders();

                        // set explosions parameters
                        ExplosiveBehaviour explosiveBehaviour2 = Instance.AddComponent<ExplosiveBehaviour>();
		                explosiveBehaviour2.Tag = "firecracker";
		                explosiveBehaviour2.Range = 0.5f;
		                explosiveBehaviour2.Delay = 0f;
		                explosiveBehaviour2.FragmentationRayCount = 8U;
		                explosiveBehaviour2.ShouldCreateKillzone = false;
		                explosiveBehaviour2.BurnPower = 0f;
		                explosiveBehaviour2.ArmOnUse = false;
		                explosiveBehaviour2.ExplodesOnFragmentHit = true;
		                explosiveBehaviour2.ImpactForceThreshold = 0.5f;
		                explosiveBehaviour2.DismemberChance = 0f;
		                explosiveBehaviour2.ExplodeBurnProgressThreshold = 0f;
                        explosiveBehaviour2.FragmentForce = 0.3f;
                    }
                }
            );
        }
    }
}